Bug 965645 - Add 'debug' option to nsupdate call in ipa-client-install
Add 'debug' option to nsupdate call in ipa-client-install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 09:06 EDT by Dmitri Pal
Modified: 2014-06-17 20:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: ipa-3.2.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:19:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nsupdate debug output in ipaclient-install.log (8.37 KB, text/plain)
2014-01-15 04:45 EST, Kaleem
no flags Details

  None (edit)
Description Dmitri Pal 2013-05-21 09:06:12 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/3629

Ipa-client-install does DNS updates but it is very hard to debug it.

We should add 'debug' option to file `/etc/ipa/.dns_update.txt`. It forces nsupdate to generate more useful output.

See `man nsupdate`.

Note: debug option is not supported on RHEL 5.
Comment 2 Namita Soman 2013-05-28 15:55:55 EDT
please provide log stmts to expect - to help with verifications
Comment 3 Petr Spacek 2013-05-29 04:30:19 EDT
This change is 'automated' version of proposal from https://fedorahosted.org/freeipa/ticket/3658#comment:1

You can see one example of output in
https://fedorahosted.org/freeipa/ticket/3658#comment:2
Comment 6 Kaleem 2014-01-15 04:44:48 EST
Verified.

IPA client version:
===================
[root@rhel70-client ~]# rpm -q ipa-client
ipa-client-3.3.3-11.el7.x86_64
[root@rhel70-client ~]#

Snip for nsupdate's debug output from /var/log/ipaclient-install.log :
======================================================================

2014-01-15T09:35:06Z DEBUG debug
zone testrelm.com.
update delete rhel70-client.testrelm.com. IN SSHFP
show
send
update add rhel70-client.testrelm.com. 1200 IN SSHFP 1 1 CEB17DACECD029C48B35594530BFF62884267BC2
update add rhel70-client.testrelm.com. 1200 IN SSHFP 1 2 56ED178C60713B89F33E02BC7616CEE542EB0CB23BADA707E24DC73DB47C2E60
update add rhel70-client.testrelm.com. 1200 IN SSHFP 3 1 8A20A32B13DE641007897009A0118A2BF880E888
update add rhel70-client.testrelm.com. 1200 IN SSHFP 3 2 B8DC5AB48671AB2FEE985AFF34D161DB57272A90F98595806F4CBCDAB30F4275
show
send

...
...
...

;; ADDITIONAL SECTION:
3386033946.sig-rhel70-master.testrelm.com. 0 ANY TKEY gss-tsig. 1389778506 1389778506 3 NOERROR 668 YIICmAYJKoZIhvcSAQICAQBuggKHMIICg6ADAgEFoQMCAQ6iBwMFACAA AACjggF/YYIBezCCAXegAwIBBaEOGwxURVNUUkVMTS5DT02iLDAqoAMC AQGhIzAhGwNETlMbGnJoZWw3MC1tYXN0ZXIudGVzdHJlbG0uY29to4IB MDCCASygAwIBEqEDAgECooIBHgSCARrh6hZxNi8EB3HL+8Ksn8JvYfBg 7H49gEaecFiIU3/vS3jh7LjuN8Cy8w25k+45L+hY6J5D3G2w1IOFY0Gb +/L6i4HX64/b39mLNRaWULkNi40SJ5FpNbf40UrFahyf3T0W9m4WAxGK DVScwdZx9af37tRcT3jdxamf+e6YX7JprW7ImcuQBYLfubH7ItJJldDC auXvxt1RpZOKYpzwDWa4JOsdhJKY85xsGla8zHGtBO9Eg3KmNcS0/KEr kyvsPkTf7cN2FxdG2v0sp9A1V+OFY//2zXai/JqNuWarM8O398VFRBOh eWrJniXKJasco+agZygIqZvIYadtVTQtKPi7J2DKfTZR8kL+ldC3sEsB ZfVrkaTFB0Kt+EKkgeowgeegAwIBEqKB3wSB3F+QiFmwMaG8IVQaJWrh 5B1uw6Vk049BCioshhTVB+SYIFuztbw0lfEDXK4UAyFZhrU9B0fM2pbL Gpq6xcyRwCx6PJZADDirvGsga39U2zFonj6fWDX/V7Nf0dF10pyiMlWg SIZwWbub9bEHTXkH44vX0TNZbaJVO6OkoTsxGGroBGiQYrCjMkqtFsDh jgSEsFyQTcQQeAqkAuqjtiop40TJnzCeM4SCa52rbiQkfp1FWk09tj4T +vnF1n1vHkhXDCBHoHUT8wDBsVRnqZV4W8A+XjXFWBn0Wdppd4E= 0


Please find the attached complete debug output of nsupdate from /var/log/ipaclient-install.log
Comment 7 Kaleem 2014-01-15 04:45:40 EST
Created attachment 850400 [details]
nsupdate debug output in ipaclient-install.log
Comment 8 Ludek Smid 2014-06-13 05:19:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.